%{
#include "echo.tab.h"
#include <string.h>

void yyerror(const char *s);

%}

%%
[ \t\n]+      { }
[a-zA-Z]+     { yylval.str = strdup(yytext); return TEXT; }
.             { yyerror("Unexpected character"); }
%%

int yywrap() {
    return 1;
}
